# eric3.QScintilla.LexerBash

Module implementing a Bash lexer with some additional methods.

### Classes

LexerBash |

### Functions

None

## LexerBash

Subclass to implement some additional lexer dependant methods.

### Derived from

QextScintillaLexerBash, Lexer

### Methods

LexerBash | Constructor

### LexerBash (Constructor)

LexerBash(parent=None, name=None)

Constructor

name
  name of this lexer
parent
  parent widget of this lexer

Up